Evaluates the gate.
POST
/v1/m/evals/gate
const url = 'https://example.com/v1/m/evals/gate';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"baseline_ref":"example","outputs":{"additionalProperty":"example"},"sample_size":1,"seed":"example","subject_kind":"example","subject_ref":"example","suite_ref":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/evals/gate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "baseline_ref": "example", "outputs": { "additionalProperty": "example" }, "sample_size": 1, "seed": "example", "subject_kind": "example", "subject_ref": "example", "suite_ref": "example" }'Evaluates the gate. Three-phase like every judged path: read (suite, cases, calibration, cache), score outside any transaction, persist atomically.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
baseline_ref
string
outputs
required
object
key
additional properties
string
sample_size
integer
seed
string
subject_kind
string
subject_ref
string
suite_ref
required
string
Example generated
{ "baseline_ref": "example", "outputs": { "additionalProperty": "example" }, "sample_size": 1, "seed": "example", "subject_kind": "example", "subject_ref": "example", "suite_ref": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}